Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTkImageViewerWidget Struct Reference

`#include <vtkTkImageViewerWidget.h>`

Collaboration diagram for vtkTkImageViewerWidget:

[legend]
List of all members.

## Detailed Description

a Tk Widget for viewing vtk images

Date:
  2002/11/26 18:02:05

Revision:
  1.12

vtkTkImageViewerWidget is a Tk widget that you can render into. It has a GetImageViewer method that returns a vtkImageViewer. You can also specify a vtkImageViewer to be used when creating the widget by using the -iv option. It also takes -width and -height options. Events can be bound on this widget just like any other Tk widget.

See also:
  vtkImageViewer

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (47%)
  - Geveci, Berk (16%)
  - Starreveld, Yves (11%)
  - Blezek, Dan (7%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkTkImageViewerWidget.cxx)`
  - .`h` (`/Rendering/vtkTkImageViewerWidget.h)`

Examples:
  vtkTkImageViewerWidget (Examples)

Tests:
  vtkTkImageViewerWidget (Tests)

Definition at line 63 of file vtkTkImageViewerWidget.h.

## Public Attributes
Tk_Window | TkWin
Tcl_Interp * | Interp
int | Width
int | Height
vtkImageViewer * | ImageViewer
char * | IV

## Member Data Documentation

Tk_Window vtkTkImageViewerWidget::TkWin

| Definition at line 65 of file vtkTkImageViewerWidget.h.

Tcl_Interp* vtkTkImageViewerWidget::Interp

| Definition at line 66 of file vtkTkImageViewerWidget.h.

int vtkTkImageViewerWidget::Width

| Definition at line 67 of file vtkTkImageViewerWidget.h.

int vtkTkImageViewerWidget::Height

| Definition at line 68 of file vtkTkImageViewerWidget.h.

vtkImageViewer* vtkTkImageViewerWidget::ImageViewer

| Definition at line 69 of file vtkTkImageViewerWidget.h.

char* vtkTkImageViewerWidget::IV

| Definition at line 70 of file vtkTkImageViewerWidget.h.

The documentation for this struct was generated from the following file:

- Rendering/vtkTkImageViewerWidget.h